<template>
  <div>
    <h5 class="footer-title text-uppercase">SẢN PHẨM ĐỒNG PHỤC</h5>
    <ul class="footer-menu-list">
      <li
        class="footer-menu-item"
        v-for="(footerMenuItem, index) in footerMenu"
        :key="index"
      >
        <a href="#" class="footer-menu-link text-white">
          {{ footerMenuItem.name }}
        </a>
      </li>
    </ul>
  </div>
</template>

<script>
import { getFooterMenu } from "~~/services/mock-data/footer-menu/footer-menu-api";

export default {
  name: "FooterMenu",
  data() {
    return {
      footerMenu: [],
    };
  },
  async mounted() {
    this.footerMenu = await getFooterMenu();
  },
};
</script>

<style lang="scss">
.footer-menu-link {
  margin-top: 2px;
  display: inline-block;
}
.footer-title {
  line-height: 1.6;
  margin-bottom: 3px;
}
</style>
